[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EArgumentNilException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a required argument is Nil.

## Declaration

Source position: sysutilh.inc line 222

`type EArgumentNilException = class(EArgumentException)`

## Inheritance

`EArgumentNilException` |  | Exception raised when a required argument is Nil.
`EArgumentException` |  | Invalid argument passed to a function
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EArgumentNilException is an exception raised when an argument is Nil when it should not be Nil.

This exception class is provided for Delphi compatibility, but is not actually used in FPC.

## See also

Exception |  | Base class of all exceptions.